﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PdfSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new PDF document   
            PdfDocument document = new PdfDocument();
            //Load the image from the disk   
            PdfBitmap image = new PdfBitmap("../../Data/Autumn Leaves.jpg");
            //Add the first section to the PDF document
            PdfSection section = document.Sections.Add();
            //Initialize unit converter
            PdfUnitConvertor converter = new PdfUnitConvertor();
            //Convert image size from pixel to points
            SizeF size = converter.ConvertFromPixels(image.PhysicalDimension, PdfGraphicsUnit.Pixel);
            //Set section size based on the image size
            section.PageSettings.Size = size;
            // Set section orientation based on image size (by default Portrait) 
            if (image.Width > image.Height)
                section.PageSettings.Orientation = PdfPageOrientation.Landscape;
            //Set margin for section
            section.PageSettings.Margins.All = 0;
            //Add a page to the section
            PdfPage page = section.Pages.Add();
            //Draw image
            page.Graphics.DrawImage(image, 0, 0);
           
            //Save and closes the documents 
            document.Save("SampleSize.pdf");
            document.Close(true);

            Process.Start("SampleSize.pdf");
        }
    }
}
